Get feature configuration schema
import requests
url = "https://{FUSION HOST}/api/features/{feature}/_schema"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/features/{feature}/_schema")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/features/{feature}/_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/features/{feature}/_schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/features/{feature}/_schema"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/features/{feature}/_schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION HOST}/api/features/{feature}/_schema{
"title": "<string>",
"description": "<string>",
"required": [
"<string>"
],
"properties": {},
"additionalProperties": {},
"minProperties": 123,
"maxProperties": 123,
"definitions": {},
"category": "<string>",
"categoryPriority": 123,
"enum": [
{}
],
"hints": [
"<string>"
],
"unsafe": true,
"default": {},
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"enum": [
{}
],
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": "<unknown>"
}
],
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
]
}Get a feature’s configuration schema.
GET
/
features
/
{feature}
/
_schema
Get feature configuration schema
import requests
url = "https://{FUSION HOST}/api/features/{feature}/_schema"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/features/{feature}/_schema")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/features/{feature}/_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/features/{feature}/_schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/features/{feature}/_schema"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/features/{feature}/_schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Path Parameters
The feature to update. Allowed values:
signals: Create a parallel collection for storing signals data (such as user clicks or ratings). Signals need to be indexed and aggregated before they can be used.recommendations: Get configuration information about recommendations. Parameters includeidField(document ID field),itemsForUser(enable or disable items-for-user recommendations),itemsForQuery(enable or disable items-for-query recommendations),itemsForItem(enable or disable items-for-item recommendations), andqueriesForQuery(enable or disable queries-for-query recommendations).
Available options:
signals, recommendations Response
200 - application/json
successful operation
Available options:
String, Number, Integer, Boolean, Object, Array, Null, Ref Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I